%define upstream_name    threads
%define upstream_version 2.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl interpreter-based threads
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/J/JD/JDHEDDEN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::testlib)
BuildRequires: perl(Hash::Util)
BuildRequires: perl(IO::File)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
Perl 5.6 introduced something called interpreter threads. Interpreter
threads are different from _5005threads_ (the thread model of Perl 5.005)
by creating a new Perl interpreter per thread, and not sharing any data or
state between threads by default.

Prior to Perl 5.8, this has only been available to people embedding Perl,
and for emulating fork() on Windows.

The _threads_ API is loosely based on the old Thread.pm API. It is very
important to note that variables are not shared between threads, all
variables are by default thread local. To use shared variables one must
also use the threads::shared manpage:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.20.0-4.mga6
+ Revision: 1035189
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 2.20.0-3.mga6
+ Revision: 958124
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 2.20.0-2.mga6
+ Revision: 845360
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 2.20.0-1.mga6
+ Revision: 841417
- update to 2.02

* Mon Feb 16 2015 shlomif <shlomif> 1.960.0-1.mga5
+ Revision: 815114
- New perl-threads needed by slic3r-experimental.
  Reading from my apprentice:
  This is just a version bump required to silence a warning in
  slic3r-experimental.  Nothing else seems to have this package as a
  dependency, as the same 1.92 version was shipped in perl core.  While 1.92
  seems to work in testing, we haven't been able to determine the underlying
  reason for the explicit requirement against 1.96+.

* Sun Oct 19 2014 umeabot <umeabot> 1.920.0-5.mga5
+ Revision: 790006
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.920.0-4.mga5
+ Revision: 745151
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.920.0-3.mga5
+ Revision: 687063
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.920.0-2.mga5
+ Revision: 631940
- Rebuild for perl 5.20

* Mon Feb 10 2014 jquelin <jquelin> 1.920.0-1.mga5
+ Revision: 588848
- update to 1.92

* Sat Oct 19 2013 umeabot <umeabot> 1.870.0-2.mga4
+ Revision: 525998
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 kharec <kharec> 1.870.0-1.mga4
+ Revision: 435153
- update to 1.87

* Wed May 29 2013 jquelin <jquelin> 1.860.0-4.mga4
+ Revision: 431905
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.860.0-3.mga3
+ Revision: 375573
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.860.0-2.mga3
+ Revision: 251246
- rebuild for perl 5.16

* Thu Dec 15 2011 jquelin <jquelin> 1.860.0-1.mga2
+ Revision: 181841
- update to 1.86

* Fri Nov 04 2011 jquelin <jquelin> 1.850.0-2.mga2
+ Revision: 162846
- take priority over module bundled with perl 5.14.2

* Mon Sep 26 2011 jquelin <jquelin> 1.850.0-1.mga2
+ Revision: 148306
- update to 1.85

* Wed Jun 15 2011 jquelin <jquelin> 1.830.0-1.mga2
+ Revision: 107627
- update to 1.83

* Sat Jun 11 2011 spuhler <spuhler> 1.820.0-2.mga2
+ Revision: 103675
- increase rel for rebuild

* Sat Feb 26 2011 jquelin <jquelin> 1.820.0-1.mga1
+ Revision: 60636
- update to 1.82

* Tue Jan 18 2011 jquelin <jquelin> 1.810.0-1.mga1
+ Revision: 22983
- cleaning spec file
- imported package perl-threads

